import Qt 4.6
import "content"

Rectangle {
    color: "#545454"
    width: 300; height: 300

    focus: true
    Keys.onPressed: {
          if (event.key == Qt.Key_Right) { 
              slider.x = slider.x + 10;
              if (slider.x > container.width - 32) {
                  slider.x = container.width - 32;
              }
              event.accepted = true;
          } else if (event.key == Qt.Key_Left) {
              slider.x = slider.x - 10
              if (slider.x < 0) {
                  slider.x = 0;
              } 
              event.accepted = true;
          }
    }

    // Dial with a slider to adjust it
    Dial { id: dial; anchors.centerIn: parent; value: slider.x *100 / (container.width - 34) }

    Rectangle {
        id: container
        anchors.bottom: parent.bottom; anchors.bottomMargin: 10
        anchors.left: parent.left; anchors.leftMargin: 20
        anchors.right: parent.right; anchors.rightMargin: 20; height: 26
        gradient: Gradient {
            GradientStop { position: 0.0; color: "gray" }
            GradientStop { position: 1.0; color: "white" }
        }
        radius: 8; opacity: 0.7; smooth: true
        Rectangle {
            id: slider
            x: 1; y: 1; width: 30; height: 24
            radius: 6; smooth: true
            gradient: Gradient {
                GradientStop { position: 0.0; color: "#424242" }
                GradientStop { position: 1.0; color: "black" }
            }
            MouseRegion {
                anchors.fill: parent
                drag.target: parent; drag.axis: "XAxis"; drag.minimumX: 2; drag.maximumX: container.width - 32
            }
        }
    }
}
