uniform mediump vec4 color;
uniform sampler2D sampler;
uniform bool blendWithAlpha;
uniform mediump float alpha;
varying mediump vec2 fragTexCoord;
uniform bool blendWithBackground;
void main(void)
{
    //gl_FragColor = color;
    gl_FragColor = texture2D(sampler, fragTexCoord);
    if (blendWithAlpha) {
          gl_FragColor.a *= alpha;
    }
    if (blendWithBackground) {
        if (gl_FragColor.a == 0.0) {
            gl_FragColor = color;
        } else {
            gl_FragColor = gl_FragColor*gl_FragColor.a + color*(1.0-gl_FragColor.a);
        }
    }
}


